Introduction to Musubi
=========================

\image html apes_sub_small.png

Introduction
=================

Musubi is the multi-level parallel lattice Boltzmann solver within the APES suite. 
It is working on a linearized octree and uses efficient data structures 
allowing adaptive parallel simulations.
Musubi offers several collision kernels and is designed in a way to deal with huge
meshes very efficiently.

Usage
-----
- [Quick Start: Building and Compiling Musubi](@ref buildmusubi) 
- [Configuring Simulation Runs](@ref mus_config_module)
- [Requirements](@ref tem_requirements)

Getting Started
---------------
- [Tutorials](@ref mus_tutorials_overview)

  An introduction to the usage of the features of Musubi.
  You are guided through all required steps from generating meshes, 
  configuring the solver and post-processing the results.

Basic Features
--------------
- [Boundary Conditions](@ref mus_bc_header_module)
 + [Space-dependent definitions](@ref tem_spatial_module::load_spatial)
 + [Transient definitions](@ref tem_transient_module::load_transient)
 + [Space-Time definitions](@ref tem_spacetime_fun_module::tem_load_spacetime_single)
- [Computation Procedure](@ref computationProcedure)
- [Restart](@ref tem_restart_module)
- [Tracking](@ref tem_tracking_module) 
- [Multilevel](@ref mus_interpolate_module)
- [Construction of the data structures](@ref mus_construction_module::mus_construct) 

The Octree Data structure 
-------------------------
- [Treelm Framework](@ref treelmesh_module) 
- [Treelmesh type](@ref treelmesh_module::treelmesh_type) 
- [Distributed Octree](@ref tem_distributed_octree) 
