-- Musubi configuration file. 
-- This is a LUA script.

-- Simulation name
simulation_name = 'gausspulse'

-- Mesh information
-- mesh = 'mesh/mesh_2M/'
mesh = { predefined = 'cube',
         origin = {0.0, 0.0, 0.0},
         length = 10.0,
         refinementLevel = 3
       }

commpattern = 'typed_isend_irecv'

fluid = { relaxation_scheme = 'BGK', omega = 1.8, rho0 = 1.0 }

-- Initial Case
initial_condition = { 
                     density = {predefined='gausspulse', 
                                center={5.0, 5.0, 5.0}, 
                                halfwidth=1.0, 
                                amplitude=1.20, 
                                background=1.000}, 
                    velocityX = 0.0,
                    velocityY = 0.0,
                    velocityZ = 0.0
                   }

interpolation_method = 'linear'                     

-- Time step settings
tmax           = 51200      -- total iteration number
check_interval = 51200      -- iteration check interval

-- Ramping settings  
ramping        = false

-- Output settings
output = { active = false,
           vtk = true,     -- VTK output activated?
           interval = -1,        -- output interval 
           tmin = 0,         -- first iteration to output
           tmax = 0 } 
-- Restart settings
restart = {
  -- If this table is available it will write a restart file
  -- with the specified options.
  write = {
    folder    = 'restart/', -- the folder the restart files are written to
    interval  = 1,                                     -- dump restart file interval
    tmin      = tmax+1,                                   -- first timestep to output
    tmax      = tmax+1                                    -- last timestep to output
    }
  }
