# This is the MUSUBI testsuite collection for the regression check.
#
# The test cases are appended to the testcase list to run.
# They are sorted according to their category here.
# Add the test cases here
from regFunctions import *

# run_scripts
testcase.append( dict(solver='musubi', caseName='check_restart',
                 dir='./musubi/testsuite/verification/restart/',
                 interval='1', category='run_script',
                 input='run_test.sh'))

testcase.append( dict(solver='musubi', caseName='check_multilevel_dependencies',
                 dir='./musubi/testsuite/verification/multilevel_dependencies/',
                 interval='1',category='run_script',
                 input='run_test.sh', procs = [1,2,3]))

testcase.append( dict(solver='musubi', caseName='cube_refined',
                 dir='./musubi/testsuite/verification/cube_refined/',
                 interval='1',category='run_script',
                 input='run_test.sh'))

# performance testcases
testcase.append( dict(solver='musubi', caseName='lidcavity',
                 dir='./musubi/testsuite/performance/serial/lidcavity/',
                 position=['5'],
                 interval='1',category='performance',procs = 2,
                 input='musubi.lua',output='timing.res'))

testcase.append(dict(solver='musubi', caseName='simple_channel',
                dir='./musubi/testsuite/performance/serial/simple_channel/',
                position=['5'],
                interval='1',category='performance',
                input='musubi.lua',output='timing.res'))

testcase.append( dict(solver='musubi', caseName='nonNewtonian CY',
                 dir='./musubi/testsuite/performance/serial/nonNewtonian/',
                 position=['5'],
                 interval='1',category='performance',
                 input='musubi.lua',output='timing.res'))

# TGV 3D single level BGK 16 cores
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_bgk_2.09M',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_single_level',
                 position=['5'],
                 interval='1',category='performance', procs = 16,
                 input='musubi.lua',output='timing.res'))

# TGV 3D single level MRT 16 cores
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_mrt_2.09M',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_single_level',
                 position=['5'],
                 interval='1',category='performance', procs = 16,
                 input='musubi_mrt.lua',output='timing.res'))

# TGV 3D multi-level acoustic quadratic 1 core
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_acst_quad_3.9M',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_acoustic_quadratic/',
                 position=['5'],
                 interval='1',category='performance',
                 input='musubi_p1.lua',output='timing.res'))

# TGV 3D multi-level acoustic quadratic 16 core
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_acst_quad_3.9M_16_cores',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_acoustic_quadratic/',
                 position=['5'],
                 interval='1',category='performance', procs = 16,
                 input='musubi_p16.lua',output='timing.res'))

# TGV 3D multi-level diffusive quadratic 1 core
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_dffs_quad_0.49M',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_diffusive_quadratic/',
                 position=['5'],
                 interval='1',category='performance',
                 input='musubi_p1.lua',output='timing.res'))

# TGV 3D multi-level diffusive quadratic 16 core
testcase.append( dict(solver='musubi',
                 caseName='TGV_3D_dffs_quad_0.49M_16_cores',
                 dir='./musubi/testsuite/performance/serial/TGV_3D_diffusive_quadratic/',
                 position=['5'],
                 interval='1',category='performance', procs = 16,
                 input='musubi_p16.lua',output='timing.res'))

# Validation testcases
#testcase.append( dict(solver='musubi', caseName='lidcavity',
#                 dir='./musubi/testsuite/validation/Lid-driven_Cavity/',
#                 position=['4'], interval='1',category='validation',
#                 input='musubi.lua',
#                 output='lidcavity_2D_horizondalLine_vel_p00000_t136.110E+03.res'))
#
#testcase.append( dict(solver='musubi', caseName='FlowAroundCylinder2D',
#                 dir='./musubi/testsuite/validation/FlowAroundCylinder2D_Bench/',
#                 position=['2'], interval='1',category='validation',
#                 input='musubi.lua',
#                 output='FlowAroundCyl_2D_probe_pressure_p00000.res'))
#
#testcase.append(dict(solver='musubi', caseName='mini-channel',
#                dir='./musubi/testsuite/physics/mini_channel/',
#                position=['2'], interval='1',category='validation',
#                input='musubi.lua',output='mini-channel_3D_probePress_p00000.res'))
#
#testcase.append(dict(solver='musubi', caseName='simple_channel_vali',
#                dir='./musubi/testsuite/physics/simple_channel/',
#                position=['2'], interval='1',category='validation',
#                input='musubi.lua',
#                output='tracking/simple_channel__probe_density_p00000.res'))
#
#testcase.append( dict(solver='musubi', caseName='channel_cylinder_acst_qua',
#                 dir='./musubi/testsuite/physics/channel_cylinder_multilevel/',
#                 position=['2'], interval='1',category='validation',
#                 input='musubi.lua',
#                 output='tracking/channelRefine_lbmmrtacoustic_reference_p00000.res'))

testcase.append(dict(solver='musubi', caseName='taylor-green-vortex',
                dir='./musubi/testsuite/physics/taylor_green_vortex/',
                position=['2'], interval='1',category='validation',input='musubi.lua',
                output='tracking/TGV_global_2D_l5_bgk_probe_p00000.res'))

#testcase.append(dict(solver='musubi', caseName='nrbc',
#                dir='./musubi/testsuite/physics/nrbc/',
#                position=['2'], interval='1',category='validation',input='musubi.lua',
#                output='tracking/gaussian_nrbc_probe_lbm_p00000.res'))

# nonNewtonian power law
testcase.append(dict(solver='musubi', caseName='nonNewtonian-power-law',
                dir='./musubi/testsuite/verification/nonNewtonian/channel2D/power_law/',
                position=['2'], interval='1',category='validation',input='musubi.lua',
                output='tracking/nonNewtonian_Power_Law_L_7_n_0.5_Re_10_vel_l2norm_p00000.res'))

# q-value test case
testcase.append(dict(solver='musubi',caseName='wall_inclined',
                dir='./musubi/testsuite/validation/channel_inclined/',
                position=['2'],interval='1',category='validation',input='musubi.lua',
                output='tracking/simulation_channelD8_velErr8_p00000.res'))

## Tutorial test cases
#testcase.append(dict(solver='musubi', caseName='tut_gausspulse',
#                dir='./musubi/tutorial/testcases/gaussian_pulse/',
#                position=['2'],interval='1',category='validation',
#                input='musubi.lua',
#                output='tracking/Gausspulse__track_pressure_p00000.res'))
#
#testcase.append(dict(solver='musubi', caseName='tut_channel',
#                dir='./musubi/tutorial/testcases/channel/',
#                position=['2'], interval='1',category='validation',
#                input='musubi.lua',
#                output='tracking/channel_lbm_incompbgkacoustic_probePressure_p00000.res'))
#
## Multispecies gas mixture testcase
#testcase.append( dict(solver='musubi', caseName='Multispecies_gasMix',
#                 dir='./musubi/testsuite/validation/multispecies_gasMix/',
#                 position=['4'], interval='1',category='validation',
#                 input='musubi.lua',output='multispecies_mix_line_p00000_t1.000E+03.res'))
#
## Multispecies liquid mixture testcases
#testcase.append( dict(solver='musubi', caseName='MSLM_Solvent',
#                 dir='./musubi/testsuite/validation/liquidModel/solventLiquidMix/',
#                 position=['3'], interval='1',category='validation',
#                 input='musubi.lua',output='multispecies_mix_point_p00000.res'))
#                 
#testcase.append( dict(solver='musubi', caseName='MSLM_diluteWithExtForce',
#                 dir='./musubi/testsuite/validation/liquidModel/dilute_externalForce/',
#                 position=['2'], interval='1',category='validation',
#                 input='musubi.lua',output='diluteWithForce_mix_point_p00000.res'))
#
#testcase.append( dict(solver='musubi', caseName='MSLM_TGV',
#                 dir='./musubi/testsuite/validation/liquidModel/taylorGreenVortex/',
#                 position=[11], interval='1',category='validation',
#                 input='musubi.lua',output='TGV_MS_bgk_pointVel_p00000.res'))
#
