----------------------- PLEASE READ THIS ---------------------------!!!

-- This input file is set up to run for regression check
-- Please make sure you DO NOT MODIFY AND PUSH it to the repository
                                                                          
--------------------------------------------------------------------!!!


-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--

-- load lua variables from simParam.lua
require "common"
scheme_kind = 'bgk'
tracking_fol = './'

-- simulation paramters
io_buffer_size = 1
printRuntimeInfo = true
control_routine = 'fast'
-- communication pattern
--isend_irecv_overlap gathered_type isend_irecv typed_isend_irecv
commpattern = 'isend_irecv'
-- Simulation name
simulation_name = 'diluteWithForce'
mesh = 'mesh/'
--mesh = { predefined='cube', 
--         origin = {0.,0.,0.}, 
--         length = length, 
--         refinementLevel = level }

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   
scaling = 'diffusive'

logging = {level=10}
debug = {debugMode = true, debugFiles = true, verbose =  true, verboseLevel = 100}

-- Time step settings
interval = tmax_p/20
sim_control = {
  time_control = {
    max = tmax_p, 
    interval = interval
  }
}  

physics = { rho0 = rho0, 
            dt = dt, 
            --molWeigh0 = m_min,
            moleDens0 = 1000.0,
            temp0 = 273.0,
            coulomb0 = 1.60217660e-19
}

-- scheme model for single fluid simulation
scheme = {
  identify = {
      label = 'mix',
      kind = 'multi-species_liquid', 
      relaxation = scheme_kind, 
      --relaxation = 'mrt', 
-- scheme layout
      layout = 'd3q19'
      --layout = 'd2q9'
  },

  external_force = { electric_fieldX = 1e-3,
                     electric_fieldY = 0.0,
                     electric_fieldZ = 0.0 },

  mixture = { rho0 = rho0, moleDens0 = 1000.0, 
              omega_diff = 2.0,
              --kine_shear_viscosity = nu_p,
              --omega_kine = 2.0,
              temp = 293.15,
              electricField = { 1e-3, 0.0, 0.0},
              gravityField = { 0.0,0.0,0.0},
              theta_eq = 0.0,
              initial_condition = { pressure = 0.0}--TGV_kinematicPressure }
            },
  -- field which defines fluid or specie
  -- Single fluid simulation
  field = {{
      label = 'H2O'
-- species properties
     ,species = { molweight = mH2O, 
                  diff_coeff = { diff_diag, diff_H2O_Na, diff_H2O_Cl},
                  charge_nr = charge_nr_H2O}
-- Initial condition
     ,initial_condition = { 
         molefraction = diluteH2O,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
     }
   ,{
     label = 'Na'
    ,species = { molweight = mNa, 
                 diff_coeff = { diff_H2O_Na, diff_diag, diff_Na_Cl },
                 charge_nr = charge_nr_Na}
    ,initial_condition = {
         molefraction = diluteNa,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    }
   ,{
     label = 'Cl'
    ,species = { molweight = mCl, 
                 diff_coeff = { diff_H2O_Cl, diff_Na_Cl, diff_diag },
                 charge_nr = charge_nr_Cl}
    ,initial_condition = {
         molefraction = diluteCl,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    }
  }
  -- add initial condition to variable system
  ,add_variable = { name = 'initialMoleFrac', 
    ncomponents = 1, 
    initialMoleFrac = { 
      { kind = 'combined', spatial = molefrac_H2O },
      { kind = 'combined', spatial = molefrac_Na },
      { kind = 'combined', spatial = molefrac_Cl }
    }
  }  

, 
tracking = {
  {
   label = 'point', 
   variable = {{'H2O_numDensity_phy'},{'Na_numDensity_phy'},{'Cl_numDensity_phy'},
               {'density_phy'},{'numDensity_phy'},{'velocity_phy'},
               {'H2O_molefrac'},{'Na_molefrac'},{'Cl_molefrac'},{'molefrac'}},
   folder = tracking_fol,
   shape = {kind = 'canoND', object= {origin={0.130900,0.130900,dx/2}}},
   format = 'ascii',
   time_control = {min = 0, max = tmax_p, interval = dt}, 
  }
--  ,{
--   label = 'line', 
--   variable = {{'H2O_molefrac'},{'Na_molefrac'},{'Cl_molefrac'},{'molefrac'}},
--   folder = './tracking/',
--   shape = {kind = 'canoND', object= {origin={0.0,dx/2.0,dx/2},
--                                      vec = {length, 0.0,0.0},
--                                      segments = nLength+2}},
--   format = 'asciiSpatial',
--   time_control = {min = 0, max = tmax_p, interval = tmax_p}, 
--  }

  }
}


