----------------------- PLEASE READ THIS ---------------------------!!!

-- This input file is set up to run for regression check
-- Please make sure you DO NOT MODIFY AND PUSH it to the repository
                                                                          
--------------------------------------------------------------------!!!


-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--

-- load lua variables from simParam.lua
require "common"

-- simulation paramters
io_buffer_size = 1
printRuntimeInfo = true

-- communication pattern
--isend_irecv_overlap gathered_type isend_irecv typed_isend_irecv
commpattern = 'isend_irecv'
-- Simulation name
simulation_name = 'stefantube'
mesh = 'mesh/'
--mesh = { predefined='cube', 
--         origin = {0.,0.,0.}, 
--         length = length, 
--         refinementLevel = level }

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   
scaling = 'diffusive'

ebug = {debugMode = true, debugFiles = true, verbose =  true, verboseLevel = 100}

-- Time step settings
interval = tmax_p/10
sim_control = {
  time_control = {
    min = 0,
    max = tmax_p,
     interval = interval }}
--time = {useIterations = true,
--        min = 0, max = 1, interval = 1 }

physics = { rho0 = rho0, 
            dt = dt, 
            moleDens0 = 1000.0
            --molWeigh0 = math.min(mAir,mAcetone,mMethanol)
            }
-- scheme model for single fluid simulation
scheme = {
  identify = {
      label = 'mix',
      kind = 'multi-species_liquid', 
      relaxation = 'bgk', 
      --relaxation = 'mrt', 
-- scheme layout
      layout = 'd3q19'
      --layout = 'd2q9'
  },


  mixture = { rho0 = rho0, moleDens0 = 1000.0, 
              omega_diff = 2.0,
              --kine_shear_viscosity = nu_p,
              omega_kine = 2.0,
              theta_eq = 0.0,
              initial_condition = { pressure = 0.0}--TGV_kinematicPressure }
            },
  -- field which defines fluid or specie
  -- Single fluid simulation
  field = {{
    label = 'Acetone'
-- species properties
   ,species = { molweight = mAcetone, 
                diff_coeff = { diff_diag, diff_Ace_Met, diff_Ace_Air } }
-- Initial condition
   ,initial_condition = { 
      molefraction = IC_Acetone_Linear,
      velocityX = 0.0,
      velocityY = 0.0,
      velocityZ = 0.0
    }
   ,boundary_condition = {
     {
       label = 'inlet',
       ind = 'wall',
       kind = 'spc_molefrac',
       molefraction = moleFrac_Ace_In
     },
     {
       label = 'outlet',
       ind = 'wall',
       kind = 'spc_molefrac',
       molefraction = moleFrac_Ace_Out
     }
    }
  }
 ,{
    label = 'Methanol'
   ,species = { molweight = mMethanol, 
                diff_coeff = { diff_Ace_Met, diff_diag, diff_Met_Air } }
   ,initial_condition = {
      molefraction = IC_Methanol_Linear,
      velocityX = 0.0,
      velocityY = 0.0,
      velocityZ = 0.0
    }
   ,boundary_condition = {
     {
       label = 'inlet',
       ind = 'wall',
       kind = 'spc_molefrac',
       molefraction = moleFrac_Met_In
     },
     {
       label = 'outlet',
       ind = 'wall',
       kind = 'spc_molefrac',
       molefraction = moleFrac_Met_Out
     }
    }
  }
 ,{
    label = 'Air'
   ,species = { molweight = mAir, 
                diff_coeff = { diff_Ace_Air, diff_Met_Air, diff_diag } }
   ,initial_condition = {
      molefraction = IC_Air_Linear,
      velocityX = 0.0,
      velocityY = 0.0,
      velocityZ = 0.0
    }
   ,boundary_condition = {
     {
       label = 'inlet',
       ind = 'wall',
       ind = 'spc_molefrac',
       olefraction = moleFrac_Air_In,
       kind = 'spc_moleflux',
       molefluxX = 0.0,
       molefluxY = 0.0,
       molefluxZ = 0.0,
       ind = 'spc_molediff_flux',
       molediff_fluxX = 0.0,
       molediff_fluxY = 0.0,
       molediff_fluxZ = 0.0
     },
     {
       label = 'outlet',
       ind = 'wall',
       kind = 'spc_molefrac',
       molefraction = moleFrac_Air_Out,
       ind = 'spc_moleflux',
       molefluxX = 0.0,
       molefluxY = 0.0,
       molefluxZ = 0.0
     }
    }

  }
  }
  -- add initial condition to variable system
  ,add_variable = { name = 'initialMoleFrac', 
    ncomponents = 1, 
    initialMoleFrac = { 
      { kind = 'combined', spatial = IC_Acetone  },
      { kind = 'combined', spatial = IC_Methanol },
      { kind = 'combined', spatial = IC_Air }
    }
  }  

, 
tracking = {
  {
   label = 'line', 
   variable = {{'Acetone_molefrac'},{'Methanol_molefrac'},{'Air_molefrac'},{'molefrac'}},
   folder = './tracking/',
   shape = {kind = 'canoND', object= {origin={0.0,dx,dx},
                                      vec={length,0.0,0.0},
                                      segments =nLength+2 }
           },
   format = 'asciiSpatial',
   time_control = {min = 0, max = tmax_p, interval = tmax_p}, 
  },
  {
   label = 'point', 
   variable = {{'Acetone_molefrac'},{'Methanol_molefrac'},{'Air_molefrac'},
               {'Acetone_moleflux_phy'},{'Methanol_moleflux_phy'},{'Air_moleflux_phy'},
               {'moleflux'},{'velocity'}},
   folder = './tracking/',
   shape = {kind = 'canoND', object= {origin={length-dx/2.,dx,dx} } },
   eduction = {'average','average','average',
                'average','average','average'},    
   format = 'ascii',
   time_control = {min = 0, max = tmax_p, interval = dt*10}, 
  }

--  ,
--  {
--   label = 'point', 
--   variable = {{'H2O_numDensity_phy'},{'Na_numDensity_phy'},{'Cl_numDensity_phy'},{'numDensity_phy'}},
--   folder = './tracking/',
--   --shape = {kind = 'canoND', object= {origin={length/2.,length/2.0,dx}}},
--   shape = {kind = 'canoND', object= {origin={3.036873,length/2.0,dx}}},
--   format = 'ascii',
--   time = {min = 0, max = tmax_p, interval = tmax_p/tmax}, 
--  }
--  ,
--  {
--   label = 'pointVel', 
--   variable = {{'H2O_velocity_phy'},{'Na_velocity_phy'},{'Cl_velocity_phy'},{'velocity_phy'}},
--   folder = './tracking/',
--   --shape = {kind = 'canoND', object= {origin={length/2.,length/2.0,dx}}},
--   shape = {kind = 'canoND', object= {origin={1.518436,3.089233,dx}}},
--   format = 'ascii',
--   time = {min = 0, max = tmax_p, interval = tmax_p/tmax}, 
--  }
--  ,
--  {
--   label = 'plane', 
----   variable = {{'H2O_velocity_phy'},{'Na_velocity_phy'},{'Cl_velocity_phy'},{'velocity_phy'},
----               {'H2O_pressure_phy'},{'Na_pressure_phy'},{'Cl_pressure_phy'},{'pressure_phy'}},
----   variable = {{'kinematicpressure', 1, dep = {'initialMoleFrac'}},
----               {'kinematicpressure_phy', 1, dep = {'initialMoleFrac'}}},
--   variable = {{'kinematicpressure_phy', 1, dep = {'initialMoleFrac'}},
--               {'kinematicpressure', 1, dep = {'initialMoleFrac'}},
--               {'velocity_phy'}},
--   folder = './tracking/',
--   shape = {kind = 'canoND', object= {origin={0.0,0.0,dx},
--                                      vec={{length,0.0,0.0},{0.0,length,0.0}},
--                                      segments ={nLength+2, nLength+2} }
--           },
--   format = 'harvester',
--   time = {min = 0, max = tmax_p, interval = tmax_p}, 
--  }

  }
}


