! This file provides the interface declaration for derived quantities, to
! allow their convenient reproduction for multiple derive routines.

?? text :: derive_headtxt(sub_name)
  subroutine ?sub_name?( &
    &          input, bound, tree, subTree, requVar, globSys, stencil, conf, &
    &          res, bary, time, ndof )
    !--------------------------------------------------------------------------!
    !> The results are stored in the same manner in the same array.
    real(kind=rk), target, intent(inout)    :: input(:)

    !> Lower(1) and upper(2) bound of the element array in the list of subtree
    !! elements.
    integer, intent(in) :: bound(2)

    !> Global tree information
    type(treelmesh_type), intent(in) :: tree

    !> Actual part of the overall tree to work on
    type(tem_subTree_type), intent(in) :: subTree

    !> Requested variable.
    type( tem_variable_type ), intent(in) :: requVar

    !> Global available variable system.
    type( tem_var_system_type ), intent(in) :: globSys

    !> Stencil information.
    type( tem_stencilHeader_type ), optional :: stencil

    !> Aotus handle to describe solver specific settings in a Lua script.
    type( flu_state ), intent(in) :: conf

    !> Optional output array (mainly used in tracking).
    real(kind=rk), optional, target, intent(out)    :: res(:)

    !> Aarray of barycenters of the elements.
    real(kind=rk), optional, intent(in) :: bary(:,:)

    !> Real time and integer timestep information.
    type(tem_time_type), optional, intent(in) :: time

    !> Optional argument for ndof
    integer, optional, intent(in) :: ndof
    !--------------------------------------------------------------------------!
?? end text derive_headtxt
