! See copyright notice in the COPYRIGHT file.
!******************************************************************************!
!> Module containing a datatype for a tem_variable and its belonging function 
!! pointer.
!!
!! \author Simon Zimny
!!
module tem_var_module

  ! include treelm modules
  use tem_variable_module,   only: tem_variable_type
  use tem_var_system_module !ibm ice:!, only: derive

  implicit none
  private

  public :: tem_var_type

  !> This type contains variable type and function pointer for that variable
  type tem_var_type
    !> variable
    type(tem_variable_type) :: variable
    !> pointer to the derived function for calculating the variable
    procedure( derive ),pointer,nopass :: do => null()
  end type tem_var_type

end module tem_var_module
!******************************************************************************!
