! See copyright notice in the COPYRIGHT file.
program bin_search_test
  use env_module, only: long_k
  use tem_timer_module, only: tem_addTimer, tem_startTimer, tem_stopTimer,     &
    &                         tem_writeTimer, tem_timer_type
  use tem_dyn_array_module, only: dyn_longArray_type, init, append,            &
    &                             PositionOfVal

  implicit none

  integer, parameter :: nVals = 1000000

  integer :: long_timing
  integer :: iVal
  integer :: pos(nVals)
  type(dyn_longArray_type) :: longArray
  type(tem_timer_type) :: timerData

  write(*,*) 'Running binary search test...'
  write(*,*) 'on ', nVals, ' Values'

  call tem_addTimer( me          = timerData,                                  &
    &                timerHandle = long_timing,                                &
    &                timerName   = 'long_timing' )

  call init(me = longArray, length = nVals, unique = .true.)

  call tem_startTimer( timerData, long_timing )
  do iVal=1,nVals
    call append(me = longArray, val = int(iVal, kind=long_k), pos = pos(iVal))
  end do
  call tem_stopTimer( timerData, long_timing )
  call tem_writeTimer( timerData, long_timing )

  ! access an element from the pos array, to stop compiler from optimizing the
  ! loop away:
  write(*,*) 'last Value has position:', pos(nVals)

  write(*,*) 'PASSED'

end program bin_search_test
