Using the full toolchain {#tut_2toolchain}
========

In this tutorial, you will learn how to use the complete \ref toolchain "tool-chain" of the APES suite to deploy
simulations. This includes the generation of the mesh with Seeder, 
Running the actual simulation with Musubi and finally post-process the results with Harvester
which generates files to be visualized with standard tools like Gnuplot and Paraview.

\note Here we need to write something about how to use Seeder -> Musubi -> Harvester
      Best would be a description of how to setup the channel test case


## Preparing the Simulation Folder ##

Generate the folders
* mesh
* tracking
* restart
* harvest


## Generate the Mesh ##

First make sure that Seeder is compiled and you know how to call it.

We start with defining the size of the channel, which we wish to simulate
\snippet testcases/channel/seeder.lua length

a bounding cube, i.e. the box that includes the complete simulation domain.
It must be large enough, otherwise it just truncates all geometries that go beyond this cube.
\snippet testcases/channel/seeder.lua bounding cube
For this cube we need to define an initial level
\snippet testcases/channel/seeder.lua minlevel

As we simulate a 2d channel, let's define a lua variable that decides if we have a periodic defintion or not
\snippet testcases/channel/seeder.lua usePeriodic

The spatial objects 
\snippet testcases/channel/seeder.lua spatial objects
Define the walls
\snippet testcases/channel/seeder.lua walls
Define the inlet (left, west)
\snippet testcases/channel/seeder.lua inlet
Define the outlet (right, east)
\snippet testcases/channel/seeder.lua outlet
Place a cylinder inside the channel with the help of an stl
\snippet testcases/channel/seeder.lua cylinderStl
Definition of the  periodic plane in +/-z-direction
\snippet testcases/channel/seeder.lua periodic
Definition of the object in the spatial object
\snippet testcases/channel/seeder.lua spatial object

Now you can start Seeder. If it successfully finishes, the simulation mesh was generated.

## Control the generated Mesh ##

Harvester can process the mesh and generate a VTK file, which can then be visualized by Paraview.
Let's prepare the harvester.lua for visualization.
\snippet testcases/channel/harvester.lua input
How to output the mesh and what
\snippet testcases/channel/harvester.lua output
Visualize the mesh with paraview
\note Here put a screenshot of how the mesh looks like when visualizing with Paraview

## Run Musubi ##

Let's have a look at how to configure Musubi. 
\note Many things were mentioned in the last tutorial

\note Describe here the most important parameters for running the simulation

\note Put a screenshot of some output of Musubi

## Post-process the Results ##

Run Harvester on the tracked quantities

\snippet testcases/channel/harvester.lua inputTracking

\snippet testcases/channel/harvester.lua output

\note Visualization of the result
