!> This program build musubi variable system mainly for cray compiler bug
program mus_buildVarsys_test
  use env_module,            only: newunit
  use tem_var_system_module, only: tem_var_sys_dump, tem_var_sys_init
  use tem_variable_module, only: tem_variable_type
  use tem_general_module, only: tem_general_type, tem_start, tem_finalize
  use tem_logging_module, only: logUnit
  
  use mus_scheme_type_module, only: mus_scheme_type
  use mus_scheme_module, only: mus_init_stateVars
  use mus_variable_module,      only: mus_init_varSys, mus_build_derVarList,   &
    &                                 mus_init_variables, mus_store_derVarPos

  implicit none

  type(mus_scheme_type) :: scheme
  type(tem_variable_type) :: tVar(0)
  integer :: outunit
  type(tem_general_type) :: general

  call tem_start('unit test', 'utest', general)

  scheme%nFields = 1
  allocate(scheme%field(1))
  scheme%field(1)%label = 'test_'

  scheme%header%label = 'test_'
  scheme%header%kind = 'lbm'
  scheme%header%layout = 'd3q19'
  scheme%header%relaxation = 'bgk'

  allocate(scheme%layout%stencil(1))
  scheme%layout%stencil(1)%label = 'd3q19'
  scheme%layout%stencil(1)%QQ = 19
  scheme%layout%stencil(1)%QQN = 18
  scheme%layout%stencil(1)%nDims = 3
  
  write(logUnit(1),*)'Initializing musubi variables'
  ! initialize all musubi derived variables
  call mus_init_variables()

  write(logUnit(1),*)'Initializing musubi variable system'
  ! Initialize the variable system
  call tem_var_sys_init( scheme%varSys )

  ! build a list of all derived variables (without prefixes)
  call mus_build_derVarList( derVarList = scheme%derVarList,                   &
    &                        schemeHeader = scheme%header,                     &
    !&                        nFields    = scheme%nFields,                      &
    &                        stencil    = scheme%layout%stencil(1) )

    ! initialize musubi state variables to the scheme variable system
  call mus_init_stateVars( scheme = scheme, extraVar = 0 )

  ! Now initialize all the available derived quantities
  call mus_init_varSys( derVarList = scheme%derVarList,                        &
    &                   var_sys    = scheme%varSys,                            &
    &                   label      = scheme%field(:)%label,                    &
    &                   nFields    = scheme%nFields,                           &
    &                   tVar       = tVar )

  outunit = newunit()
  call tem_var_sys_dump( sys = scheme%varSys, outunit = outunit )
  
  call tem_finalize(general)
  write(logUnit(1),*)'PASSED'

end program mus_buildVarsys_test
