#!/bin/bash
# Script to execute Musubi with various parameters to measure performance.

# The refinement level for the mesh, there will be 8^($MUS_LEVEL) elements
# in the mesh.
export MUS_LEVEL=2

# Number of iterations to do. This is mainly useful to adjust the running time
# of the test. Note, that you could als specify a running time in the
# musubi.lua, see the comments there for more details.
export MUS_ITER=100

# Execute Musubi, it takes the input file (musubi.lua) as argument, but defaults
# to musubi.lua in the current directory.
# Adapt the path to the executable.
mpiexec -np 1 musubi/build/musubi

# If you want to get a restart file set the MUS_OUTPUTS variable to an integer
# larger than 0.
# (We will write the initial condition and then as many outputs as given in this
#  variable.)
export MUS_OUTPUTS=1

# Executing musub with restart output now.
mpiexec -np 1 musubi/build/musubi
